Ubuntu

Multiple sites will not load or give a compression error message when using Dansguardian 2.10.1.1 with tinyproxy

Reported by Byron Grossnickle on 2009-11-04
90
This bug affects 14 people
Affects Status Importance Assigned to Milestone
Baltix
Undecided
Unassigned
dansguardian (Debian)
Incomplete
Unknown
dansguardian (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: dansguardian

Using Ubuntu 9.10
Dansguardian 2.10.1.1-1

Using DansGuardian causes a large set of web sites to fail to show. This failure takes two forms: a blank "page" is returned, or an error page is returned. I'm treating these as one problem because they've occurred at the same time.

This follows a clean install of Karmic, up-to-date. Very few application additions or tweaks.

Sites that return a "blank page":

    * http://ubuntuforums.org/
    * http://distrowatch.com/
    * http://old-releases.ubuntu.com/releases/
    * http://www.adobe.com/
    * http://www.openbravo.com/

"View source" for these also comes in as blank, empty.

Sites that return an error message:
Quote:
Content Encoding Error:
The page you are trying to view cannot be shown because
it uses an invalid or unsupported form of compression.

    * http://www.amazon.com/
    * http://www.icyphoenix.com/
    * http://www.facebook.com/ (FB sometimes does show)
    * http://www.yelp.com/austin
    * http://www.linkedin.com/
    * http://www.sun/com/java

"View source" sometimes shows the same presentation,
but in case of facebook shows the source as if no problem
(although this has some variance -- once it came up blank).

If Dansguardian is by-passed the problem goes away.

If the particular site is included in the "excluded sites list" the problem does not happen with that site

Here is a link to a fuller discussion on another formum

http://ubuntuforums.org/showthread.php?p=8218504#post8218504

The "solution" in that case was to go back to the Jaunty Dansguardian package.....2.9.9.7-2

Piotr Smolarz (smopi) wrote :

I have two PC boxes: AMD X2 64 with Ubuntu 9.10 amd64 and Intel Pentium D with 9.10 i386. In my case this bug appears only on the first one. Reinstalling Dansguardian from Jaunty fixes it for me.

Paul Craig (pac8612) wrote :

I am new to Linux and Unix. How do I reinstall Jaunty? Do I need to uninstall version 2.10.1.1-1?

David Cottrell (davidc-cfc) wrote :

This bug also present in 10.04-alpha2 as it has the same package version:
  dansguardian 2.10.1.1-1

dardack (dardack) wrote :

Has any progress been made on this issue? As I have been running the Jaunty version.

None that I know of.....Don't even know if anyone has been working the issue......Doesn't seem like much of a bug reporting mechanism.

________________________________
From: dardack <email address hidden>
To: <email address hidden>
Sent: Tue, February 23, 2010 6:07:47 PM
Subject: [Bug 474475] Re: Multiple sites will not load or give a compression error message

Has any progress been made on this issue? As I have been running the
Jaunty version.

--
Multiple sites will not load or give a compression error message
https://bugs.launchpad.net/bugs/474475
You received this bug notification because you are a direct subscriber
of the bug.

Status in “dansguardian” package in Ubuntu: New

Bug description:
Binary package hint: dansguardian

Using Ubuntu 9.10
Dansguardian 2.10.1.1-1

Using DansGuardian causes a large set of web sites to fail to show. This failure takes two forms: a blank "page" is returned, or an error page is returned. I'm treating these as one problem because they've occurred at the same time.

This follows a clean install of Karmic, up-to-date. Very few application additions or tweaks.

Sites that return a "blank page":

    * http://ubuntuforums.org/
    * http://distrowatch.com/
    * http://old-releases.ubuntu.com/releases/
    * http://www.adobe.com/
    * http://www.openbravo.com/

"View source" for these also comes in as blank, empty.

Sites that return an error message:
Quote:
Content Encoding Error:
The page you are trying to view cannot be shown because
it uses an invalid or unsupported form of compression.

    * http://www.amazon.com/
    * http://www.icyphoenix.com/
    * http://www.facebook.com/ (FB sometimes does show)
    * http://www.yelp.com/austin
    * http://www.linkedin.com/
    * http://www.sun/com/java

"View source" sometimes shows the same presentation,
but in case of facebook shows the source as if no problem
(although this has some variance -- once it came up blank).

If Dansguardian is by-passed the problem goes away.

If the particular site is included in the "excluded sites list" the problem does not happen with that site

Here is a link to a fuller discussion on another formum

http://ubuntuforums.org/showthread.php?p=8218504#post8218504

The "solution" in that case was to go back to the Jaunty Dansguardian package.....2.9.9.7-2

To unsubscribe from this bug, go to:
https://bugs.launchpad.net/ubuntu/+source/dansguardian/+bug/474475/+subscribe

Yea you also wanna know what stinks? Next Ubuntu is probably gonna ship with 1.8.1 or greater tinyproxy, i just downloaded it, and it doesn't work with the older dansguardian from Jaunty (no idea if it works with the new dansguardian).

dardack (dardack) wrote :

It doesn't. Tried last nite. Is anyone looking at the dansguardian/tinyproxy issues that are occuring? I see they still have the newer dansguardian scheduled for the next Ubuntu release.

Mantas Kriaučiūnas (mantas) wrote :

It seems this bug has a duplicates - look at bug #523424 (Dansguardian and tinyproxy silently block pages)

summary: - Multiple sites will not load or give a compression error message
+ Multiple sites will not load or give a compression error message when
+ using Dansguardian 2.10.1.1 with tinyproxy
Mantas Kriaučiūnas (mantas) wrote :

I found an upstream bugreport for this important dansguardian issue: http://sourceforge.net/tracker/?func=detail&aid=2881442&group_id=131757&atid=722098

Ubuntu developers, please confirm this bug and increase priority - dansguardian needs to be fixed before Ubuntu Lucid will be released!

dardack (dardack) wrote :

Agree with Mantas, please fix this before the Lucid release, or downgrade to 2.9 in 9.04.

Steve Romanow (slestak989) wrote :

Hate to pile on, but just wanted to express that lots of users count on the "linux box" in the basement to keep their lans clean. Is there a best practice that maybe sub another proxy other than tiny? I haven't researched this.

dardack (dardack) wrote :

Don't think it's just tiny, could try squid. It's dansguardian 2.10 and tinyproxy 1.8.1, both have issues.

dardack (dardack) wrote :

sorry here is my bug report on tinyproxy:

https://bugs.launchpad.net/bugs/519634

dardack (dardack) wrote :

Ok tinyproxy 1.8 works if you add Listen 0.0.0.0 to your tinyproxy.conf file. However, the newever version of Dansguardian still fails. As dansguardian 2.10 is still the default in Lucid can we please get this looked into, instead of having to install 2.9 by hand and making sure it never updates.

On Mon, 2010-03-01 at 14:13 +0000, Steve Romanow wrote:
> Hate to pile on, but just wanted to express that lots of users count on
> the "linux box" in the basement to keep their lans clean. Is there a
> best practice that maybe sub another proxy other than tiny? I haven't
> researched this.
>

Well right now I subbed out tinyproxy for squid and had no issues at
all, but I still believe this needs fixing.

dardack (dardack) wrote :

isn't squid overkill tho?

+1 that squid is overkill.

On 3/2/10, dardack <email address hidden> wrote:
> isn't squid overkill tho?
>
> --
> Multiple sites will not load or give a compression error message when using
> Dansguardian 2.10.1.1 with tinyproxy
> https://bugs.launchpad.net/bugs/474475
> You received this bug notification because you are a direct subscriber
> of the bug.
>

--
Sent from my mobile device

dardack (dardack) wrote :

Yea wish I had time to learn more to help with this problem, cause i use DG/Tinyproxy as a filter for the kids and such.

Jordi Mallach (jordi) wrote :

dardack, can you post the output of "tinyproxy -h"?

On Tue, 2010-03-02 at 13:53 +0000, Steve Romanow wrote:
> +1 that squid is overkill.
>
> On 3�2�10, dardack <email address hidden> wrote:
> > isn't squid overkill tho?
> >
> > --
> > Multiple sites will not load or give a compression error message when using
> > Dansguardian 2.10.1.1 with tinyproxy
> > https:��bugs.launchpad.net�bugs�474475
> > You received this bug notification because you are a direct subscriber
> > of the bug.
> >
>
> --
> Sent from my mobile device

Squid is overkill, and I don't deny that. I still believe that the
problem at hand needs to be fixed, and was simply suggesting a temporary
solution. But definitly, this bug needs squashing :)

Steve Romanow (slestak989) wrote :

I've got some time and a fresh karmic server. I'll try to test as well. Who is point on this?

dardack (dardack) wrote :

jordi when I get home i will be happy to. I am running 1.8 as of now with that Listen 0.0.0.0 working for the update.

dardack (dardack) wrote :

Jordi:

tinyproxy -h
Usage: tinyproxy [options]

Options are:
  -d Do not daemonize (run in foreground).
  -c FILE Use an alternate configuration file.
  -h Display this usage information.
  -l Display the license.
  -v Display version information.

Features compiled in:
    XTinyproxy header
    Filtering
    Transparent proxy support
    Reverse proxy support
    Upstream proxy support

For bug reporting instructions, please see:
<https://www.banu.com/tinyproxy/support/>.

Changed in dansguardian (Debian):
status: Unknown → Incomplete
dardack (dardack) wrote :

Any update?

bodhi.zazen (bodhi.zazen) wrote :

This problem still exists in lucid Beta 2.

As a work around, consider using privoxy.

sudo apt-get install privoxy

Then edit /etc/dansguardian/dansguardian.conf , the privoxy uses port 8118 ;)

dardack (dardack) wrote :

Is it overkill like squid? or small/lightweight like tinyproxy? Cause if it's small/lightweight i'll swap like now.

If privoxy is small, this appears to be a great solution. Tyvm OP

On 4/12/10, dardack <email address hidden> wrote:
> Is it overkill like squid? or small/lightweight like tinyproxy? Cause
> if it's small/lightweight i'll swap like now.
>
> --
> Multiple sites will not load or give a compression error message when using
> Dansguardian 2.10.1.1 with tinyproxy
> https://bugs.launchpad.net/bugs/474475
> You received this bug notification because you are a direct subscriber
> of the bug.
>

--
Sent from my mobile device

Imre Gergely (cemc) wrote :

I'm not sure this will help, but I did some tcpdumps between tinyproxy and squid responses (on -i lo). I'm not sure how to interpret them, so I'll attach them here, maybe somebody can make sense of these.

As far as I can tell, when using squid, the HTTP OK response gets back correctly, but not with tinyproxy. If you take a look with wireshark, frames 6-18 in with-squid.cap, everything looks normal, there are a couple of packets and that's it. In with-tinyproxy.cap however, there are a lot more packets (6-27) and there's no actual 'HTTP/1.0 OK'.

The tinyproxy response differs too, header-wise. I'm not saying that tinyproxy's doing anything wrong (because when using tinyproxy without dansguardian, the above pages load just fine), but maybe dansguardian gets confused by tinyproxy's response, or something...

I'm also getting this in dansguardian's access.log when using tinyproxy:

2010.4.13 0:31:56 - 172.16.21.6 http://old-releases.ubuntu.com/releases/ GET 0 0 1 200 text/html -

and this with squid:

2010.4.13 0:57:19 - 172.16.21.6 http://old-releases.ubuntu.com/releases/ GET 4075 -20 1 200 text/html -

Imre Gergely (cemc) wrote :
Imre Gergely (cemc) wrote :
Alan Lord (theopensourcerer) wrote :

This is affecting me badly. I upgraded my Kid's PC last week from Intrepid to Jaunty and now they are getting blank pages and invalid compression errors. They can't get to bbc.co.uk (returns a blank page sometimes or the home page works but CBBC/Cbeebies) fails.

I tried adding a Listen 0.0.0.0 to tinyproxy.conf but that made no noticeable difference.

I tried using Privoxy but Dansguardian barfs at trying to connect to port 8118 as it is "already in use".

If Privoxy works can someone provide a better description of the configuration please?

In dansguardian.conf I had filterport = 8080 (for tinyproxy) and changing this to 8118 fails as above.

There is also proxyport = 3128. I tried setting this to 8118 but then was unable to connect to anything.

I would like to update my kids to Lucid soon but if this carries on I might have to downgrade them back to Intrepid...

Alan Lord (theopensourcerer) wrote :

Blast sorry. I got the Ubuntu versions wrong. They are *now* on Karmic (9.10) - I upgraded from Jaunty (9.04).

Imre Gergely (cemc) wrote :

@Alan: in dansguardian you have two options:

filterport = 8080

This is where dansguardian listens on, this you don't need to change when changing from tinyproxy to privoxy.

proxyport = 3128

This is the port where the "real" proxy listens on (like squid, tinyproxy, privoxy). This port you have to change to whatever port the proxy listens on. By default squid and tinyproxy listen on 3128, and privoxy (as far as I can tell) listens on 8118.

So after installing privoxy and checking if it runs (with something like: "netstat -nlp |grep 8118"), you should set dansguardian as follows (in /etc/dansguardian/dansguardian.conf):

filterport = 8080 (this remains unchanged, make sure you have this port set as proxy port in the browser)
proxyip = 127.0.0.1 (you can leave this as it is)
proxyport = 8118 (this is where privoxy listens)

Alan Lord (theopensourcerer) wrote :

@Imre Thanks for the information. I need to check my Firehol config too but this looks just what I needed. Will try and fix it tonight!

narnie (signupnarnie) wrote :

For those who don't want to use privoxy, you can do this

http://ubuntuforums.org/showthread.php?t=1310351&page=3

The author (I believe) of Ubuntu CE has made a work-around "fooling" 9.10 to use the older version of Dansguardian.

This will also install the dansguardian GUI for those interested (just a set of scripts based on zenity, but works really well and is easy to use).

For those who want an easy install script, I have written one and will include it here. Run it from the command line

First, run

$ sudo aptitude purge dansguardian tinyproxy firehol

then run my script if you like.

restarter all servers with:

$ sudo service tinyproxy restart
$ sudo service dansguardian restart
$ sudo /etc/init.d/ubuntu_ce_firewall restart
$ dansguardian-gui

You may have to stop and restart daunsguardian. Barring that, reboot and all should be well.

narnie (signupnarnie) wrote :

PS, the scripts work great on my Acer Aspire one netbooks running UNR and my linux mint machines. If you have a problem with it on your setup, please let me know.

Yours,
Narnie

dardack (dardack) wrote :

Narnie,
Yea i'm already running an old version of Dansguardian, it's not hard to do. My point being, I have to make sure it never gets upgradeed, Dansguardian is continued to be upgraded in each release of Ubuntu, and the problem persists. So either i'm stuck using an old version of DG, or I get privoxy/squid.

narnie (signupnarnie) wrote :

No, if you follow the above recommendation, it fools karmic into thinking that it is using the most up to date dansguardian. It is really using the earlier version, but spoofing the version number of the more recent (it does this by using the Ubuntu CE repository rather than Ubuntu main's) so it doesn't get updated. This should work for some time. I don't know when the next major release for dansguardian is, but it should be safe until then. I'll bet the maintainer of the Ubuntu CE repo will be ahead of that game, tho.

Yours,
Narnie

dardack (dardack) wrote :

Any update on this at all? I tried privoxy for awhile, but since it also blocks certain things it interfered with Blizz's RealID feature and Battle.net (yes I added many blizzard known sites to fragile, still didn't fix it). I've gone back to tinyproxy dansguardian 2.9 and told ubuntu not to update.

Would really like to update tho.

papukaija (papukaija) on 2011-05-27
Changed in dansguardian (Ubuntu):
status: New → Confirmed

LinkedIn
------------

Bug,

I'd like to add you to my professional network on LinkedIn.

- Steve

Steve Romanow
Application Developer
Greater Grand Rapids, Michigan Area

Confirm that you know Steve Romanow:
https://www.linkedin.com/e/dpawfz-hbfa3fal-6w/isd/10241136217/dTxMQL_d/?hs=false&tok=0t13UrC0UT7BA1

--
You are receiving Invitation to Connect emails. Click to unsubscribe:
http://www.linkedin.com/e/dpawfz-hbfa3fal-6w/qkG496gDUoXT0homvQqxf39D1r6aP_rz-dZ2aPs/goo/474475%40bugs%2Elaunchpad%2Enet/20061/I3406801849_1/?hs=false&tok=2NDEG5nbsT7BA1

(c) 2012 LinkedIn Corporation. 2029 Stierlin Ct, Mountain View, CA 94043, USA.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.